Bug 33650 - [965GM] Relocation beyond target object bounds
Summary: [965GM] Relocation beyond target object bounds
Status: RESOLVED WORKSFORME
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/intel (show other bugs)
Version: 7.5 (2009.10)
Hardware: x86-64 (AMD64) Linux (All)
: medium major
Assignee: Chris Wilson
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-28 06:50 UTC by roberth
Modified: 2011-04-05 03:24 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Screenshot of the corruption (380.17 KB, image/png)
2011-01-28 06:50 UTC, roberth
no flags Details
Xorg.0.log (39.89 KB, text/plain)
2011-01-28 06:53 UTC, roberth
no flags Details
Boot dmesg (51.51 KB, text/plain)
2011-01-28 06:53 UTC, roberth
no flags Details
Current dmesg (251.31 KB, text/plain)
2011-01-28 06:54 UTC, roberth
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description roberth 2011-01-28 06:50:31 UTC
Created attachment 42648 [details]
Screenshot of the corruption

Forwarding this bug from Ubuntu reporter Travis Watkins:
http://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/707236

[Problem]
corruption in xchat-gnome window

[Original Description]
When using xchat-gnome with the latest packages from xorg-edgers I get weird screen corruption. It appears the chat area is not being cleared before being drawn again so everything just draws on top of whatever was there before. I'm attaching a screenshot and will run apport-collect after filing to provide extra info. For some reason the screenshot doesn't show how bad it really is but still shows the issue.
--- 
Architecture: amd64
CompizPlugins: No value set for `/apps/compiz-1/general/allscreens/options/active_plugins'
CompositorRunning: compiz
DRM.card0.DVI.D.1:
 status: disconnected
 enabled: disabled
 dpms: Off
 modes: 
 edid-base64:
DRM.card0.LVDS.1:
 status: connected
 enabled: enabled
 dpms: On
 modes: 1280x800
 edid-base64: AP///////wAGEFucAAAAAA4QAQOAHRJ4Cof1lFdPjCcnUFQAAAABAQEBAQEBAQEBAQEBAQEBvBsAoFAgFzAwIDYAHrMQAAAZAAAAAQAGECAAAAAAAAAAAAogAAAA/gBMVE4xMzNXMQAAAAogAAAA/ABDb2xvciBMQ0QKICAgAMY=
DRM.card0.VGA.1:
 status: disconnected
 enabled: disabled
 dpms: Off
 modes: 
 edid-base64:
DistUpgraded: Fresh install
DistroCodename: natty
DistroRelease: Ubuntu 11.04
DistroVariant: ubuntu
DkmsStatus: bcmwl, 5.100.82.38+bdcom, 2.6.37-12-generic, x86_64: installed
GraphicsCard:
 Subsystem: Apple Computer Inc. Device [106b:00a1]
   Subsystem: Apple Computer Inc. Device [106b:00a1]
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Alpha amd64+mac (20110104)
MachineType: Apple Inc. MacBook4,1
NonfreeKernelModules: wl
Package: xserver-xorg-video-intel 2:2.14.0+git20110124.5baa63c6-0ubuntu0sarvatt
PackageArchitecture: amd64
ProcEnviron:
 LANGUAGE=en_US:en
 PATH=(custom, user)
 LANG=en_US.UTF-8
 LC_MESSAGES=en_US.utf8ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.37-12-generic root=UUID=3fa2b187-0edf-45a7-add7-17bf24470864 ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 2.6.37-12.26-generic 2.6.37
Renderer: Hardware acceleration
Tags: natty natty ubuntu
Uname: Linux 2.6.37-12-generic x86_64
UnitySupportTest:
 
UnreportableReason: This is not a genuine Ubuntu package
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 02/09/08
dmi.bios.vendor: Apple Inc.
dmi.bios.version: MB41.88Z.00C1.B00.0802091535
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: Mac-F22788A9
dmi.board.vendor: Apple Inc.
dmi.board.version: PVT
dmi.chassis.asset.tag: Asset Tag#
dmi.chassis.type: 2
dmi.chassis.vendor: Apple Inc.
dmi.chassis.version: Mac-F22788A9
dmi.modalias: dmi:bvnAppleInc.:bvrMB41.88Z.00C1.B00.0802091535:bd02/09/08:svnAppleInc.:pnMacBook4,1:pvr1.0:rvnAppleInc.:rnMac-F22788A9:rvrPVT:cvnAppleInc.:ct2:cvrMac-F22788A9:
dmi.product.name: MacBook4,1
dmi.product.version: 1.0
dmi.sys.vendor: Apple Inc.
version.libdrm2: libdrm2 2.4.23+git20110119.550fe2ca-0ubuntu0sarvatt (also libdrm 2.4.23 release in the 11.04 archive)
version.libgl1-mesa-glx: libgl1-mesa-glx 7.11.0+git20110119.a5da4acb-0ubuntu0sarvatt (also mesa 7.10 release in the 11.04 archive)
version.xserver-xorg: xserver-xorg 1:7.5+6ubuntu8
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.13.99+git20110124.fadee040-0ubuntu0chris
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.14.0+git20110124.5baa63c6-0ubuntu0sarvatt (also 2.14.0 release in the 11.04 archive)
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20110124.38e8809b-0ubuntu0sarvatt
Comment 1 roberth 2011-01-28 06:53:06 UTC
Created attachment 42649 [details]
Xorg.0.log
Comment 2 roberth 2011-01-28 06:53:45 UTC
Created attachment 42650 [details]
Boot dmesg
Comment 3 roberth 2011-01-28 06:54:35 UTC
Created attachment 42651 [details]
Current dmesg

Full of errors like these


[21754.275039] [drm:i915_gem_execbuffer_relocate_entry] *ERROR* Relocation beyond target object bounds: obj ffff88004bb8ac00 target 6 delta 43655680 size 4096.
Comment 4 Chris Wilson 2011-01-28 07:14:21 UTC
valgrind compiz.

Something is not very happy.
Comment 5 Chris Wilson 2011-01-28 07:49:44 UTC
Is mesa compiled with NDEBUG? (Since there is an assert to catch that error.)
Comment 6 Travis Watkins 2011-01-28 08:28:17 UTC
This is not a compiz display issue (or at least not entirely) because the problem actually looks worse without compiz running.
Comment 7 Chris Wilson 2011-01-28 08:40:45 UTC
You see the same errors reported in dmesg without compiz? (Not just the errors existing once compiz has exited.)
Comment 8 Christopher James Halse Rogers 2011-02-02 19:25:21 UTC
I see similar update corruption in emacs and xchat-gnome.  Reverting 
commit 1ba983034b3a70fb541dc359189c020ee497c634
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Dec 7 12:27:29 2010 +0000

    uxa: Emit the damage after the render for the workaround in uxa_solid_rects
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

Fixes it.  Travis Watkins also reports this revert fixing the corruption.

I presume this was added for a reason; perhaps the damage changes in Xserver 1.10 have caused this to now be harmful?
Comment 9 Christopher James Halse Rogers 2011-02-02 19:45:46 UTC
> I presume this was added for a reason; perhaps the damage changes in Xserver
> 1.10 have caused this to now be harmful?

Hm, testing against Xserver 1.8 reveals the same corruption.
Comment 10 Chris Wilson 2011-02-03 01:44:23 UTC
commit da990536eca09c6de74627541cd56ecfad925eda
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Feb 3 09:41:48 2011 +0000

    uxa: Undo damage translation before appending
    
    The region is used to paint onto the backing pixmap (and thus
    translated) prior to being passed to the damage layer (wrt to the
    drawable). So the local translation needs to be undone first.
    
    Identified by Christopher James Halse Rogers.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=33650
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
Comment 11 Chris Wilson 2011-02-03 01:45:14 UTC
Oops, thought I was looking at another bug (the compiz damage).
Comment 12 Chris Wilson 2011-02-03 01:47:14 UTC
Christopher, who was the culprit for the invalid relocations?
Comment 13 Christopher James Halse Rogers 2011-02-03 20:28:23 UTC
I don't know.  My logs did not contain any of those messages.  The relocation failures appear to be independent of the damage corruption that was the motivation for this bug.

It's not clear to me if the relocation failures have any symptoms other than the log messages.

Travis: now that the damage corruption is gone, are there any symptoms for those relocation failures?
Comment 14 Chris Wilson 2011-03-02 02:02:45 UTC
Downgrading prior as the visual corruption was fixed in another bug, only the issue of the illegal relocations remain (for which we await dbg results).
Comment 15 Chris Wilson 2011-04-05 03:24:26 UTC
The assertion has gone and so has the error message. There is little we can do before we get a report of some actual corruption.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.